Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039253
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POS Hardware Managerminorhave not tried2018-09-10 13:092019-02-15 08:19
ReporterkchoperenaView Statuspublic 
Assigned Tonjimenez 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision0af8af6d39d7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039253: [SERQA 4596]: It would be nice have a functionality to select the printer before print a document

DescriptionThis functionality will allow the user select the printer to use just before print a document.
Steps To Reproduce1.- Log into the Web POS
2.- Complete a ticket

TagsNo tags attached.
Attached Filesdiff file icon SelectPrinterPi.diff [^] (26,170 bytes) 2018-09-25 16:39 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109356)
hgbot (developer)
2019-01-31 15:46

Repository: erp/pmods/org.openbravo.retail.poshwmanager
Changeset: 08e8e0cd8993d3bb515ef2ec1b2ad5cdf981e0ef
Author: Natalia Jimenez <natalia.jimenez <at> openbravo.com>
Date: Thu Jan 31 15:46:20 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager/rev/08e8e0cd8993d3bb515ef2ec1b2ad5cdf981e0ef [^]

Retaled to issue 39253: Auto register hardware manager

---
M bin/openbravohw.properties
M bin/poshw.jar
M bin/rev.id
---
(0109357)
njimenez (developer)
2019-01-31 16:00

Repository: erp/pmods/org.openbravo.retail.posterminal


changeset: 10782:229bbdab5939
tag: tip
parent: 10781:d566a613a07b
parent: 10764:4f1b78879df9
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 30 12:55:21 2019 +0100
files: src-db/database/sourcedata/AD_MESSAGE.xml web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-print.js web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js web/org.openbravo.retail.posterminal/js/closecash/model/cashup-print.js web/org.openbravo.retail.posterminal/js/components/menu.js web/org.openbravo.retail.posterminal/js/components/modalselectprinters.js web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
description:
Merge branches




changeset: 10780:1af4b087338d
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Fri Jan 25 14:45:19 2019 +0100
files: src/org/openbravo/retail/posterminal/AutoRegisterHWM.java web/org.openbravo.retail.posterminal/js/components/modalselectprinters.js
description:
[Auto register hardware manager] Chnaged clanBuffers method and deleted useless flush



changeset: 10778:256813753d4d
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 23 17:21:39 2019 +0100
files: web/org.openbravo.retail.posterminal/js/components/modalselectprinters.js web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
description:
[Auto register hardware manager] Fixed duplicated call to clear buffers method at selecting printers component and the funcionality in select another printer button


changeset: 10777:c0e7939db22a
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Tue Jan 22 17:36:05 2019 +0100
files: src/org/openbravo/retail/posterminal/AutoRegisterHWM.java
description:
[Auto register hardware manager] Added some changes to improve web service performance


changeset: 10776:bb83c1d113d0
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Tue Jan 22 16:50:23 2019 +0100
files: config/org.openbravo.retail.posterminal-provider-config.xml src-db/database/sourcedata/AD_COLUMN.xml src-db/database/sourcedata/AD_FIELD.xml src-db/database/sourcedata/AD_TABLE.xml src/org/openbravo/retail/posterminal/AutoRegisterHWM.java src/org/openbravo/retail/posterminal/actionHandler/DeletionAutoRegisterHwmUrlActionHandler.java web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-print.js web/org.openbravo.retail.posterminal/js/closecash/model/cashup-print.js web/org.openbravo.retail.posterminal/js/components/menu.js web/org.openbravo.retail.posterminal/js/components/modalselectprinters.js web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
description:
[Auto register hardware manager] Fixed duplicated showSelectPrintersWindow function, empty arrays method, updated modified files date and added organization id in deletion process queries


changeset: 10773:d72787f9db27
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 16 13:37:57 2019 +0100
files: web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
description:
[Auto register hardware manager] Fixed issue selecting printers cancel button is displayed after retry printing is successful


changeset: 10772:9b5bbd358f5a
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Tue Jan 15 09:36:29 2019 +0100
files: src-db/database/sourcedata/AD_ELEMENT.xml
description:
[Auto Register Hardware Manager] Fixed ad_element file format



changeset: 10769:b7ac4f5183b2
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Thu Jan 10 11:03:18 2019 +0100
files: src-db/database/sourcedata/AD_ELEMENT.xml
description:
[Auto Register Hardware Manager] Added missing ad_element tag


changeset: 10768:9c81ef17ce5f
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Tue Jan 08 13:43:04 2019 +0100
files: src/org/openbravo/retail/posterminal/AutoRegisterHWM.java
description:
[Autoregister HardwareManager] Modified autoregister HWM to set Org as parent


changeset: 10766:dac1ee15b2ed
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Thu Nov 15 10:37:16 2018 +0100
files: config/org.openbravo.retail.posterminal-provider-config.xml src-db/database/sourcedata/AD_TABLE.xml src/org/openbravo/retail/posterminal/AutoRegisterHWM.java src/org/openbravo/retail/posterminal/actionHandler/DeletionAutoRegisterHwmUrlActionHandler.java
description:
[Autoregister HardwareManager] Fixed delete process query and added missing files


changeset: 10765:0af8af6d39d7
parent: 10015:aba1a3eb285a
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Thu Nov 08 13:58:53 2018 +0100
files: src-db/database/model/tables/OBPOS_HARDWAREMNG.xml src-db/database/model/tables/OBPOS_TERMINALTYPE.xml src-db/database/sourcedata/AD_COLUMN.xml src-db/database/sourcedata/AD_ELEMENT.xml src-db/database/sourcedata/AD_FIELD.xml src-db/database/sourcedata/AD_MENU.xml src-db/database/sourcedata/AD_MESSAGE.xml src-db/database/sourcedata/AD_REFERENCE.xml src-db/database/sourcedata/AD_TAB.xml src-db/database/sourcedata/AD_TABLE.xml src-db/database/sourcedata/AD_TREENODE.xml src-db/database/sourcedata/AD_WINDOW.xml src-db/database/sourcedata/OBUIAPP_PARAMETER.xml src-db/database/sourcedata/OBUIAPP_PROCESS.xml src-db/database/sourcedata/OBUIAPP_REF_WINDOW.xml web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-print.js web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js web/org.openbravo.retail.posterminal/js/closecash/model/cashup-print.js web/org.openbravo.retail.posterminal/js/components/menu.js web/org.openbravo.retail.posterminal/js/components/modalselectprinters.js web/org.openbravo.retail.posterminal/js/data/dataordersave.js web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
description:
[Autoregister Hardwaremanager] Hardware managers can be autoregistered in Openbravo during startup
(0109358)
njimenez (developer)
2019-01-31 16:03

Repository: erp/pmods/org.openbravo.retail.poshwmanager.sources


changeset: 719:8d5862764d1d
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Thu Jan 24 16:31:11 2019 +0100
files: project/src/com/openbravo/poshw/MainFrame.java
description:
[Auto register hardware manager] added deleted line


changeset: 718:b56c0e9aa104
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 23 18:34:41 2019 +0100
files: project/src/com/openbravo/pos/util/HttpServices.java project/src/com/openbravo/poshw/AutoRegisterUrl.java project/src/com/openbravo/poshw/MainApp.java project/src/com/openbravo/poshw/MainFrame.java
description:
[Auto register hardware manager] Updated file dates


changeset: 717:883d9c23351a
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Mon Jan 21 10:59:53 2019 +0100
files: project/openbravohw.properties
description:
[Auto Register Hardware Manager] Added preurl and posturl in properties file



changeset: 715:7db58c7d76d4
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Nov 14 18:43:09 2018 +0100
files: project/src/com/openbravo/poshw/AutoRegisterUrl.java
description:
[Autoregister HardwareManager] Fixed web service call printers parameters


changeset: 714:4ee73f12707d
parent: 695:813b60cc7d47
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Thu Nov 08 15:01:52 2018 +0100
files: project/openbravohw.properties project/src/com/openbravo/pos/util/HttpServices.java project/src/com/openbravo/poshw/AppConfig.java project/src/com/openbravo/poshw/AutoRegisterUrl.java project/src/com/openbravo/poshw/MainApp.java project/src/com/openbravo/poshw/MainFrame.java
description:
[Autoregister Hardwaremanager] Hardware managers can be autoregistered in Openbravo during startup
(0109359)
njimenez (developer)
2019-01-31 16:08

Repository org.openbravo.retail.sessions

changeset: 419:dda69e2f86ff
parent: 398:6d5fcd193003
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Thu Nov 08 14:12:22 2018 +0100
summary: [Autoregister Hardwaremanager] Hardware managers can be autoregistered in Openbravo during startup

changeset: 422:b28b01628222
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Thu Jan 24 13:33:32 2019 +0100
summary: [Auto register hardware manager] Updated file date

changeset: 424:fb3dc49033c3
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Fri Jan 25 14:10:39 2019 +0100
summary: [Auto register hardware manager] Added callback parameter to cashup print method

changeset: 425:ac8334bb1982
tag: tip
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Fri Jan 25 14:42:18 2019 +0100
summary: [Auto register hardware manager] Updated editcashupreporthook date
(0109360)
njimenez (developer)
2019-01-31 16:10

Repository: org.openbravo.retail.sampledata

changeset: 630:5a90368f825c
tag: tip
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 30 16:35:45 2019 +0100
summary: [Auto register hardware manager] Fixed database consistency
(0109361)
njimenez (developer)
2019-01-31 16:14

Repository: org.openbravo.test.mobile.sampledata

changeset: 385:31a9d5691830
tag: tip
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 30 16:25:20 2019 +0100
files: referencedata/sampledata/The_White_Valley_Group/OBPOS_TERMINALTYPE.xml referencedata/sampledata/The_White_Valley_Group/OBUIAPP_PROCESS_ACCESS.xml
description:
[Auto register hardware manager] Fixed database consistency
(0109362)
hgbot (developer)
2019-01-31 16:15

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: a809d50df99bafe4f5861d89eb885d3fca67091a
Author: Natalia Jimenez <natalia.jimenez <at> openbravo.com>
Date: Thu Jan 31 15:25:19 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/a809d50df99bafe4f5861d89eb885d3fca67091a [^]

Related to issue 39253: fix sampledata dbconsistency

---
M referencedata/sampledata/Retail_Test/OBPOS_TERMINALTYPE.xml
M referencedata/sampledata/Retail_Test/OBUIAPP_PROCESS_ACCESS.xml
---
(0109363)
njimenez (developer)
2019-01-31 16:33

Repository: pi-mobile

changeset: 8164:f43ca2156b52
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Mon Jan 21 10:02:05 2019 +0100
files: src-test/org/openbravo/test/mobile/retail/extmodules/selenium/TestIdExtModules.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/suites/concurrent/job012/SelectPrintersSuite.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/suites/concurrent/job012/SelectPrintersSuiteHV.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/selectingPrinters/AllSelectPrintersTest.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/selectingPrinters/AllSelectPrintersTestHV.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/selectingPrinters/SelectAlwaysPrinterSalesReport.java src-test/org/openbravo/test/mobile/retail/pack/selenium/suites/concurrent/job013/AutoRegisterHWMSuite.java src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AllAutoRegisterTests.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AllAutoRegisterTestsHV.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterAfterLogin.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterBeforeLogin.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterCashManagement.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterCashUp.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterCashUpPartial.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterMultiOrders.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterSimpleTicket.java
description:
[Auto register hardware manager] Added new tests


changeset: 8165:6f05b32ba6b0
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Tue Jan 22 12:25:41 2019 +0100
files: src-test/org/openbravo/test/mobile/retail/extmodules/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/selectingPrinters/SelectAlwaysPrinterSalesReport.java src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterAfterLogin.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterBeforeLogin.java
description:
[Auto register hardware manager] Changed openbravo url in web service call


changeset: 8166:348f16d7076a
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 23 17:43:01 2019 +0100
files: src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterAfterLogin.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterBeforeLogin.java
description:
[Auto register hardware manager] Deleted logIn function from and changed changeTerminal function from auto register hardware manager terminal helper


changeset: 8167:7587ed660e48
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 23 18:20:11 2019 +0100
files: src-test/org/openbravo/test/mobile/retail/extmodules/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/selectingPrinters/SelectAlwaysPrinterSalesReport.java src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterAfterLogin.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/autoRegisterHWM/AutoRegisterBeforeLogin.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterCashManagement.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterCashUp.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterCashUpPartial.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterMultiOrders.java src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterSimpleTicket.java
description:
[Auto register hardware manager] Updated tests dates and fixed querie format


changeset: 8168:8ba84801e6af
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 23 18:24:39 2019 +0100
files: src-test/org/openbravo/test/mobile/retail/extmodules/selenium/suites/concurrent/job012/SelectPrintersSuite.java
description:
[Auto register hardware manager] Updated tests dates


changeset: 8169:4a4616c75617
tag: tip
user: Natalia Jimenez <natalia.jimenez@openbravo.com>
date: Wed Jan 30 15:16:38 2019 +0100
files: src-test/org/openbravo/test/mobile/retail/extmodules/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSAutoRegisterHwmTerminalHelper.java
description:
[Auto Register Hardware Manager] Modified delet query and fixed modules terminal helper extend class

- Issue History
Date Modified Username Field Change
2018-09-10 13:09 kchoperena New Issue
2018-09-10 13:09 kchoperena Assigned To => Retail
2018-09-10 13:09 kchoperena Triggers an Emergency Pack => No
2018-09-20 09:50 kchoperena Summary [SERQA 4603]: It would be nice have a functionality to select the printer after print a document => [SERQA 4603]: It would be nice have a functionality to select the printer before print a document
2018-09-20 09:51 kchoperena Summary [SERQA 4603]: It would be nice have a functionality to select the printer before print a document => [SERQA 4596]: It would be nice have a functionality to select the printer before print a document
2018-09-20 10:03 njimenez File Added: SelectPrinterPi.diff
2018-09-20 10:03 njimenez File Deleted: SelectPrinterPi.diff
2018-09-20 10:04 njimenez File Added: SelectPrinterPi.diff
2018-09-24 07:40 guillermogil Assigned To Retail => njimenez
2018-09-25 16:38 njimenez File Deleted: SelectPrinterPi.diff
2018-09-25 16:39 njimenez File Added: SelectPrinterPi.diff
2019-01-31 15:46 hgbot Checkin
2019-01-31 15:46 hgbot Note Added: 0109356
2019-01-31 16:00 njimenez Note Added: 0109357
2019-01-31 16:03 njimenez Note Added: 0109358
2019-01-31 16:08 njimenez Note Added: 0109359
2019-01-31 16:10 njimenez Note Added: 0109360
2019-01-31 16:14 njimenez Note Added: 0109361
2019-01-31 16:15 hgbot Checkin
2019-01-31 16:15 hgbot Note Added: 0109362
2019-01-31 16:33 njimenez Note Added: 0109363
2019-01-31 16:34 njimenez Status new => scheduled
2019-01-31 16:34 njimenez Status scheduled => resolved
2019-01-31 16:34 njimenez Resolution open => fixed
2019-01-31 16:35 njimenez Fixed in SCM revision => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0af8af6d39d7 [^]
2019-02-15 08:19 marvintm Review Assigned To => marvintm
2019-02-15 08:19 marvintm Status resolved => closed
2019-02-15 08:19 marvintm Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker